
var qs = require('../querystring');

describe('zero-encoding/querystring.parse(querystring)', function () {
    it('basics', function () {
        expect(qs.parse('foo=bar').foo).toBe('bar');
        expect(qs.parse('foo=bar&hello=world').hello).toBe('world');
        expect(qs.parse('?foo=bar&hello=world').foo).toBe('bar');
    });
});

describe('zero-encoding/querystring.stringify(obj)', function () {
    it('basics', function () {
        expect(qs.stringify({
            foo: 'bar'
        })).toBe('foo=bar');
    });
});

